--- title: Learning area release notes slug: Learn/Release\_notes tags: - Learn - Release Notes ---

{{learnsidebar}}

This page details significant changes made to the learning area. Check back here if you want to know what new content is available, and what existing content has been improved.

If you want to give feedback on any of these new additions, please leave comments in our [Discourse forum](https://discourse.mozilla.org/c/mdn).

June 2020
---------

Our [Front-end web developer learning pathway](/en-US/docs/Learn/Front-end_web_developer) is officially launched! Check it out for an opinionated pathway to follow for learning front-end development! Also see our hacks post — [Introducing the MDN Web Docs Front-end developer learning pathway](https://hacks.mozilla.org/2020/06/introducing-the-mdn-web-docs-front-end-developer-learning-pathway/) — for more information about the rationale behind it.

May 2020
--------

Our [Understanding client-side JavaScript frameworks](/en-US/docs/Learn/Tools_and_testing/Client-side_JavaScript_frameworks) module is now available. Learn why frameworks exist, when you should use one (and when you shouldn't), what kinds of features are common to all frameworks, and how they relate to the vanilla JavaScript you may already know. Once you have a general understanding of frameworks, move on to tutorial series covering popular frameworks like React, Ember, and Vue.

Our [Web Forms](/en-US/docs/Learn/Forms) learning module now has "Test your skills" assessments accompanying the articles.

April 2020
----------

Our new [Understanding client-side web development tools](/en-US/docs/Learn/Tools_and_testing/Understanding_client-side_tools) module has been released! Learn the essentials of web development tooling, including what kind of tools exist, the command line, package managers, and how to assemble your own functioning tool chain.

March 2020
----------

You'll now find "Test your skills" assessments accompanying the articles in the following modules:

-   [CSS building blocks](/en-US/docs/Learn/CSS/Building_blocks)
-   [JavaScript first steps](/en-US/docs/Learn/JavaScript/First_steps)
-   [JavaScript building blocks](/en-US/docs/Learn/JavaScript/Building_blocks)
-   [Introducing JavaScript objects](/en-US/docs/Learn/JavaScript/Objects)

January 2020
------------

The HTML forms module has been significantly updated:

-   It has been retitled [Web forms](/en-US/docs/Learn/Forms), and moved out of the HTML topic area to recognize that it covers more than just HTML form elements — it also covers styling, validation, the basics of how to send data and process it on the server, and more besides.
-   It has new examples available and techniques covered.
-   It has a new structure to make for a more effective learning experience.

More "Test your skills" sections have been added. You can see these on:

-   [CSS layout: Flexbox](/en-US/docs/Learn/CSS/CSS_layout/Flexbox#test_your_skills!)
-   [CSS layout: Grids](/en-US/docs/Learn/CSS/CSS_layout/Grids#test_your_skills!)
-   [CSS layout: Floats](/en-US/docs/Learn/CSS/CSS_layout/Floats#test_your_skills!)

December 2019
-------------

We are adding a new type of assessment article to the learning area — "Test your skills" — which will offer several short questions aimed at rapidly testing whether you understood what is going on. This is in addition to the longer Assessment articles that you'll find in some of the learning modules already. You will find these new articles linked in "Test your skills" sections at the bottom of relevant articles. You can see these on:

-   [HTML text fundamentals](/en-US/docs/Learn/HTML/Introduction_to_HTML/HTML_text_fundamentals#test_your_skills!)
-   [Creating hyperlinks](/en-US/docs/Learn/HTML/Introduction_to_HTML/Creating_hyperlinks#test_your_skills!)
-   [Advanced text formatting](/en-US/docs/Learn/HTML/Introduction_to_HTML/Advanced_text_formatting#test_your_skills!)
-   [Images in HTML](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Images_in_HTML#test_your_skills!)
-   [Video and audio content](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Video_and_audio_content#test_your_skills!)
-   [From object to iframe — other embedding technologies](/en-US/docs/Learn/HTML/Multimedia_and_embedding/Other_embedding_technologies#test_your_skills!)
